This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 71734 - no connect permission
no connect permission
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-17 05:20 EDT by William Hall
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 11:58:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
from /etc/alchemist/namespace/printconf/local.adl (530 bytes, application/octet-stream)
2002-08-17 05:21 EDT, William Hall
no flags Details

  None (edit)
Description William Hall 2002-08-17 05:20:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
The lpd daemon running on a 7.3 server can print no problem to its local printer
(HP laserjet 1100). Another 7.3 client on the same (private) subnet cannot print
nor list the queue. "No connect permission" is given when issuing lpq
-P<queue>@<remote hostname> or when trying to print a test page from printconf.
The remote print server has the client's hostname in /etc/hosts.lpd file. I have
tried all formats, dotted quad, hostname, FQDN but to no avail.
Firewall not an issue

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Print test page form printconf
2. lpq command from client 
3. lpr command from client

i.e. everything!
	

Actual Results:  No connect permission

Expected Results:  Printer to print something...!

Additional info:

The client and server are both fairly new 7.3 installations (not upgrades).
Previous 7.2 versions worked fine. Windows clients on same subnet can print via
samba no problem.
Have considered cups instead, but would be nice to get lpd working first.
Comment 1 William Hall 2002-08-17 05:21:37 EDT
Created attachment 71304 [details]
from /etc/alchemist/namespace/printconf/local.adl
Comment 2 Tim Waugh 2002-08-19 06:03:17 EDT
Use /etc/lpd.perms for setting access controls for LPRng: man lpd.perms 
 
I don't *think* that LPRng uses /etc/hosts.lpd any more, although I thought 
that it could be made to.
Comment 3 Bill Nottingham 2006-08-04 23:04:22 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2006-10-18 11:58:41 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.